Summary: HTTP server daemon to provide WWW services
Packager: Red Hat Software <bugs@redhat.com>
Copyright: GPL
Release: 3
Name: apache
Group: Networking/Daemons
Version: 1.1.1
Source0: ftp.apache.org:/httpd/dist/apache_1.1.1.tar.gz
Source1: pbrhl.gif
Source2: index.html
Source3: httpd.init
Patch: apache_1.1-config.patch
%description
The Apache web server is the best free web server available in the UNIX
world today. It uses HTTP (HyperText Transfer Protocol) to allow web
browsers to view documents and submit data remotely.  It has the ability
to perform a number of different functions, including proxying and
caching, and offers features such as a status monitor, dynamic type
conversion, and more. 

%prep 
%setup -n apache_1.1.1
cd conf
for I in access httpd srm; do
	cp $I.conf-dist $I.conf
done
cd ..
rm -f conf/*orig
rm -f cgi-bin/*
rm -f src/*orig
rm -rf /var/log/httpd/*

%patch -p1

%build

%ifarch axp
AUX_LIBS=-lm
%endif

cd src
./Configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" AUX_LIBS="$AUX_LIBS"
cd ..
make -C support

%install

mkdir -p /home/httpd/html
mkdir -p /home/httpd/cgi-bin
mkdir -p /home/httpd/icons
mkdir -p /var/log/httpd
mkdir -p /etc/httpd/conf

cp conf/* /etc/httpd/conf

ln -sf ../../var/log/httpd /etc/httpd/logs
install -s -m755 src/httpd /usr/sbin
install -s -m755 support/htdigest /usr/sbin
install -s -m755 support/htpasswd /usr/sbin
install -s -m755 support/rotatelogs /usr/sbin
install -m755 support/log_server_status /usr/sbin
install -m755 -s support/httpd_monitor /usr/sbin
install -m755 -s support/logresolve /usr/sbin
install -m755 support/dbmmanage /usr/sbin
install -m755 support/dbmmanage.new /usr/sbin

install -m644 support/httpd.1m /usr/man/man8/httpd.8

cp $RPM_SOURCE_DIR/index.html /home/httpd/html
cp $RPM_SOURCE_DIR/pbrhl.gif /home/httpd/html
cp icons/* /home/httpd/icons
chown -R root.root /home/httpd

install -m755 $RPM_SOURCE_DIR/httpd.init /etc/rc.d/init.d/httpd.init
ln -sf ../init.d/httpd.init /etc/rc.d/rc3.d/S85httpd
ln -sf ../init.d/httpd.init /etc/rc.d/rc0.d/K25httpd
ln -sf ../init.d/httpd.init /etc/rc.d/rc1.d/K25httpd
ln -sf ../init.d/httpd.init /etc/rc.d/rc6.d/K25httpd

%files
%dir /etc/httpd
%dir /home/httpd
%dir /home/httpd/html
%dir /home/httpd/cgi-bin
%dir /var/log/httpd
%dir /etc/httpd/conf
%config /etc/httpd/conf/srm.conf
%config /etc/httpd/conf/access.conf
%config /etc/httpd/conf/httpd.conf
%config /etc/httpd/conf/mime.types
/etc/httpd/conf/srm.conf-dist
/etc/httpd/conf/access.conf-dist
/etc/httpd/conf/httpd.conf-dist
/etc/httpd/logs
%config /home/httpd/html/index.html
/home/httpd/icons
/etc/rc.d/init.d/httpd.init
/etc/rc.d/rc3.d/S85httpd
/etc/rc.d/rc0.d/K25httpd
/etc/rc.d/rc1.d/K25httpd
/etc/rc.d/rc6.d/K25httpd
/usr/sbin/httpd
/usr/sbin/httpd_monitor
/usr/sbin/rotatelogs
/usr/sbin/logresolve
/usr/sbin/log_server_status
/usr/sbin/dbmmanage
/usr/sbin/dbmmanage.new
/usr/sbin/htpasswd
/usr/sbin/htdigest
/usr/man/man8/httpd.8
